import { FeatureRequest, PizzaOrder } from "./Types";

export type IDayIndex = {
    dayIndex?: number,
}

export type AddChoiceRequest = IDayIndex & {
    locationIndex: number,
    foodIndex?: number,
}

export type RemoveChoicesRequest = IDayIndex & {
    locationIndex: number,
}

export type RemoveChoiceRequest = IDayIndex & {
    locationIndex: number,
    foodIndex: number,
}

export type UpdateNoteRequest = IDayIndex & {
    note?: string,
}

export type ChangeDepartureTimeRequest = IDayIndex & {
    time: string,
}

export type FinishDeliveryRequest = {
    bankAccount?: string,
    bankAccountHolder?: string,
}

export type AddPizzaRequest = {
    pizzaIndex: number,
    pizzaSizeIndex: number,
}

export type RemovePizzaRequest = {
    pizzaOrder: PizzaOrder,
}

export type UpdatePizzaDayNoteRequest = {
    note?: string,
}

export type UpdatePizzaFeeRequest = {
    login: string,
    text?: string,
    price?: number,
}

export type UpdateFeatureVoteRequest = {
    option: FeatureRequest,
    active: boolean,
}